# Uses of Interface
org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces.IWizardContext

Packages that use IWizardContext
Package
Description
org.eclipse.birt.core.ui.frameworks.taskwizard
org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces

## Uses of IWizardContext in org.eclipse.birt.core.ui.frameworks.taskwizard

Fields in org.eclipse.birt.core.ui.frameworks.taskwizard declared as IWizardContext
Modifier and Type
Field
Description
`protected IWizardContext`
SimpleTask.`context`
`protected IWizardContext`
WizardBase.`context`
Methods in org.eclipse.birt.core.ui.frameworks.taskwizard that return IWizardContext
Modifier and Type
Method
Description
`IWizardContext`
SimpleTask.`getContext()`
`IWizardContext`
WizardBase.`open(String[] sTasks, String topTaskId, IWizardContext initialContext)`
Launches the wizard with the specified tasks in 'Available' state...and the specified task sets as the 'Active' task.
`IWizardContext`
WizardBase.`open(IWizardContext initialContext)`
Launches the wizard with the first tasks in 'Available' state.
Methods in org.eclipse.birt.core.ui.frameworks.taskwizard with parameters of type IWizardContext
Modifier and Type
Method
Description
`void`
WizardBase.`displayError(String[] sErrors, String[] sFixes, String[] sTaskIDs, IWizardContext currentContext, Object[] hints)`
Displays the errors in a common Error Display UI mechanism.
`IWizardContext`
WizardBase.`open(String[] sTasks, String topTaskId, IWizardContext initialContext)`
Launches the wizard with the specified tasks in 'Available' state...and the specified task sets as the 'Active' task.
`IWizardContext`
WizardBase.`open(IWizardContext initialContext)`
Launches the wizard with the first tasks in 'Available' state.
`void`
SimpleTask.`setContext(IWizardContext context)`
`void`
WizardBase.`updateContext(IWizardContext wizardcontext)`

## Uses of IWizardContext in org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces

Methods in org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces that return IWizardContext
Modifier and Type
Method
Description
`IWizardContext`
ITask.`getContext()`
Called just before the UI for the task is disposed, it will be used by the wizard.
Methods in org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces with parameters of type IWizardContext
Modifier and Type
Method
Description
`void`
ITask.`setContext(IWizardContext context)`
Called just before the UI for this Task is shown.